MyGUI::RenderTargetInfo Struct Reference

`#include <MyGUI_RenderTargetInfo.h>`

## Public Member Functions

void | setOffset (int _left, int _top) const

## Data Fields

float | maximumDepth {0}
float | pixScaleX {1}
float | pixScaleY {1}
float | hOffset {0}
float | vOffset {0}
float | aspectCoef {1}
int | leftOffset {0}
int | topOffset {0}

## Detailed Description

Definition at line 15 of file MyGUI_RenderTargetInfo.h.

## Member Function Documentation

## setOffset()

void MyGUI::RenderTargetInfo::setOffset | ( | int | _left,
|  | int | _top ) const

inline

Definition at line 18 of file MyGUI_RenderTargetInfo.h.

## Field Documentation

## aspectCoef

float MyGUI::RenderTargetInfo::aspectCoef {1}

Definition at line 30 of file MyGUI_RenderTargetInfo.h.

## hOffset

float MyGUI::RenderTargetInfo::hOffset {0}

Definition at line 28 of file MyGUI_RenderTargetInfo.h.

## leftOffset

int MyGUI::RenderTargetInfo::leftOffset {0}

mutable

Definition at line 32 of file MyGUI_RenderTargetInfo.h.

## maximumDepth

float MyGUI::RenderTargetInfo::maximumDepth {0}

Definition at line 25 of file MyGUI_RenderTargetInfo.h.

## pixScaleX

float MyGUI::RenderTargetInfo::pixScaleX {1}

Definition at line 26 of file MyGUI_RenderTargetInfo.h.

## pixScaleY

float MyGUI::RenderTargetInfo::pixScaleY {1}

Definition at line 27 of file MyGUI_RenderTargetInfo.h.

## topOffset

int MyGUI::RenderTargetInfo::topOffset {0}

mutable

Definition at line 33 of file MyGUI_RenderTargetInfo.h.

## vOffset

float MyGUI::RenderTargetInfo::vOffset {0}

Definition at line 29 of file MyGUI_RenderTargetInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_RenderTargetInfo.h